> For the complete documentation index, see [llms.txt](https://docs.roomiekit.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.roomiekit.io/reference/environment-variables.md).

# Environment variables

Common web values:

```bash
VITE_SUPABASE_URL=
VITE_SUPABASE_ANON_KEY=
VITE_AGORA_APP_ID=
VITE_ASSET_BASE_URL=/
VITE_APP_NAME=Roomie
VITE_CAPACITOR_APP_ID=
VITE_DEEP_LINK_SCHEME=roomie
```

Core Edge Function values:

```bash
AGORA_APP_ID=
AGORA_APP_CERTIFICATE=
AGORA_TOKEN_TTL_SECONDS=3600
SUPABASE_URL=
SUPABASE_ANON_KEY=
SUPABASE_SERVICE_ROLE_KEY=
```

Optional modules may require OneSignal, RevenueCat, push, payment, or cron secrets. Keep optional modules disabled unless those providers are intentionally configured.

Optional hosted app flags:

```bash
VITE_ENABLE_PAYMENTS=false
VITE_ENABLE_PUSH=false
VITE_REVENUECAT_IOS_API_KEY=
VITE_REVENUECAT_ANDROID_API_KEY=
VITE_ONESIGNAL_APP_ID=
```

For Roomie Kit Cloud, the CLI stores local deployment config under `.roomie-host/`, which must stay ignored by git.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.roomiekit.io/reference/environment-variables.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
